<template>
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
        <h1 class="text-center">Admin Panel</h1>
      </div>
    </div>
    <div class="row">
      <div class="col-6 text-center">{{usersUp}}</div>
      <div class="col-6 text-center">{{serversUp}}</div>
    </div>
  </div>
</template>

<script>
export default {
  name: "admindash",
  data() {
    return {
      user: JSON.parse(localStorage.getItem("user")),
      usersUp: [],
      serversUp: [],
      isConnected: this.$socket.connected
    };
  },
  beforeMount: function() {
    this.$socket.on("connect", () => (this.isConnected = true));
    this.$socket.on("disconnect", () => (this.isConnected = false));

    this.$socket.emit("askForServerStatus", localStorage.getItem("jwt"));
    this.$socket.on("userUp", response => {
      this.usersUp.push(response);
    });
    this.$socket.on("serverUp", response => {
      console.log(response);
      this.serversUp.push(response);
    });
  }
};
</script>



